Loading...
Searching...
No Matches
smartlock::DoorAccessControl::DoorAccessRule Struct Reference

Data representing a rule to control access to certain doors. More...

## Public Attributes

string | name
| A name to describe this rule.
vector< peripheral::DeviceSlot > | doorHandleLocks
| Open these door handle locks.
CardCondition | cardCondition1
| Condition that has to be fulfilled when inserting a card.
CardCondition | cardCondition2
| Additional card condition that is needed.
KeypadCondition | keypadCondition1
| Condition that has to be fulfilled when using a keypad.
KeypadCondition | keypadCondition2
| Additional keypad condition that is needed.
int | conditionsTimeout
| Timeout for matching multiple card / keypad conditions.
AbsoluteTimeCondition | absoluteTime
| Absolute time range condition.
PeriodicTimeCondition | periodicTime
| Periodic time range condition.

## Detailed Description

Data representing a rule to control access to certain doors.

Access is granted (i.e. the defined locks are opened) if the defined and enabled conditions are met. At least one CardCondition or one KeypadCondition must be enabled. If multiple conditions are enabled, all conditions have to be met during the timeout that is defined in conditionsTimeout.

The documentation for this struct was generated from the following file:

- DoorAccessControl.idl